### Tyler Perkins (Clortox)

I'm a software developer at Etactics, located in the Cleveland area.
I love software design and development, mechanical/electrical engineering, and metalworking.
Kent State Unviersity Alumni, persuing a Masters in Computer Science from Georgia Tech University.

#### Neat projects

_Independently created projects that are free and open source_

- [Kubernetes Cluster](https://git.clortox.com/Infrastructure/Gluttony-Cluster)
  - A K3S cluster on my personal server rack in my home, hosting several services for friends, family, and myself
- [Human Call Stack](https://git.clortox.com/tyler/HumanCallStack)
  - A TODO app based on the concept of a callstack
- [Filebrowswer Sidecar](https://git.clortox.com/Infrastructure/Filebrowser)
  - A sidecar application providing a webui to the contents of persistent volumes
  - k8s native with easy configuration using environment variables
  - An extension of [filebrowser](https://filebrowser.org)

#### Private Projects

_These are projects I can't share the source of due to school/work agreements, however I still think they are worth bragging about_

- [Multipaxos with stable leaders](https://github.com/emichael/dslabs/tree/master/labs/lab3-paxos)
  - An implementation of multipaxos with stable leader elections
  - Resilient to minority node failure, network partitions, and dropped/duplicate packets
  - Includes PAXOS log garbage collection and proposal batching to reduce memory usage and reduce consensus latency
- Self hosted realtime transcription for the deaf
  - Real time transcription application leveraging whisper to provide near-instant transcription for deaf family members
  - Provides speaker differentiation, tiemstamps, and supports call transcription
  - Optimized to run on low power portable boards such as the jetson nano

#### Links

- [Personal Website](https://tylerperkins.xyz)
- [Personal Gitea](https://git.clortox.com) - This is where most of my development happens
- [Linkedin](https://www.linkedin.com/in/tyler-perkins-xyz/)
- [Resume](https://s3.clortox.com/static-assets/Resume.pdf)

#### Contact

- [Email (hello@clortox.com)](mailto:hello@clortox.com)
- [Linkedin](https://www.linkedin.com/in/tyler-perkins-xyz/)

*Note that none of my work here or my opinions or actions are reflections on my employer or any education instiution, past or present*
